Skip to navigation

Template name availability

View as Markdown

Check if a given template name creates naming conflicts under the given scope. Returns conflict (409) in case the name is not available, or 204 (no content) if it is ok.

Authentication

AuthorizationBearer
Bearer authentication

Query parameters

templateNamestringRequired>=1 character
The name of the template.
scopeTypeenumRequired
The resource scope type to filter by.
Allowed values:
scopeIdstringOptional
filter by scope id

Response

The name is available to use

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
503
Service Unavailable Error